Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.util
Class SpecSpecificConstants

    java.lang.Object
      org.apache.sandesha2.util.SpecSpecificConstants

    public class SpecSpecificConstants

extends java.lang.Object

To get values which are different in the RM specs in a convenient manner.

Constructor Summary
`SpecSpecificConstants()`

Method Summary
`static java.lang.String` | `getAckRequestAction(java.lang.String specVersion)`
`static java.lang.String` | `getAckRequestSOAPAction(java.lang.String specVersion)`
`static java.lang.String` | `getAddressingAnonymousURI(java.lang.String addressingNSURI)`
`static java.lang.String` | `getAddressingFaultAction(java.lang.String specVersion)`
`static java.lang.String` | `getAddressingNamespace(java.lang.String rmNamespace)`
`static java.lang.String` | `getCloseSequenceAction(java.lang.String specVersion)`
`static java.lang.String` | `getCloseSequenceResponseAction(java.lang.String specVersion)`
`static java.lang.String` | `getCreateSequenceAction(java.lang.String specVersion)`
`static java.lang.String` | `getCreateSequenceResponseAction(java.lang.String specVersion)`
`static java.lang.String` | `getCreateSequenceResponseSOAPAction(java.lang.String specVersion)`
`static java.lang.String` | `getCreateSequenceSOAPAction(java.lang.String specVersion)`
`static java.lang.String` | `getDefaultSpecVersion()`
`static javax.xml.namespace.QName` | `getFaultSubcode(java.lang.String namespaceValue, int faultType)`
`static java.lang.String` | `getMakeConnectionAction(java.lang.String specVersion)`
`static java.lang.String` | `getRMNamespaceValue(java.lang.String specVersion)`
`static java.lang.String` | `getSecurityNamespace(java.lang.String rmNamespace)`
`static java.lang.String` | `getSequenceAcknowledgementAction(java.lang.String specVersion)`
`static java.lang.String` | `getSequenceAcknowledgementSOAPAction(java.lang.String specVersion)`
`static java.lang.String` | `getSpecVersionString(java.lang.String namespaceValue)`
`static java.lang.String` | `getTerminateSequenceAction(java.lang.String specVersion)`
`static java.lang.String` | `getTerminateSequenceResponseAction(java.lang.String specVersion)`
`static java.lang.String` | `getTerminateSequenceResponseSOAPAction(java.lang.String specVersion)`
`static java.lang.String` | `getTerminateSequenceSOAPAction(java.lang.String specVersion)`
`static org.apache.axis2.description.AxisOperation` | `getWSRMOperation(int messageType, java.lang.String rmSpecLevel, org.apache.axis2.description.AxisService service)`
`static boolean` | `isAckFinalAllowed(java.lang.String specVersion)`
`static boolean` | `isAckNoneAllowed(java.lang.String specVersion)`
`static boolean` | `isLastMessageIndicatorRequired(java.lang.String specVersion)`
`static boolean` | `isSequenceClosingAllowed(java.lang.String specVersion)`
`static boolean` | `isTerminateSequenceResponseRequired(java.lang.String specVersion)`
`static boolean` | `sendAckInBackChannel(int messageType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpecSpecificConstants

    public SpecSpecificConstants()

Method Detail

### getSpecVersionString

    public static java.lang.String getSpecVersionString(java.lang.String namespaceValue)
                                                 throws SandeshaException

  Throws:
    `SandeshaException`

### getRMNamespaceValue

    public static java.lang.String getRMNamespaceValue(java.lang.String specVersion)
                                                throws SandeshaException

  Throws:
    `SandeshaException`

### getCreateSequenceAction

    public static java.lang.String getCreateSequenceAction(java.lang.String specVersion)
                                                    throws SandeshaException

  Throws:
    `SandeshaException`

### getCreateSequenceResponseAction

    public static java.lang.String getCreateSequenceResponseAction(java.lang.String specVersion)
                                                            throws SandeshaException

  Throws:
    `SandeshaException`

### getTerminateSequenceAction

    public static java.lang.String getTerminateSequenceAction(java.lang.String specVersion)
                                                       throws SandeshaException

  Throws:
    `SandeshaException`

### getTerminateSequenceResponseAction

    public static java.lang.String getTerminateSequenceResponseAction(java.lang.String specVersion)
                                                               throws SandeshaException

  Throws:
    `SandeshaException`

### getCloseSequenceAction

    public static java.lang.String getCloseSequenceAction(java.lang.String specVersion)
                                                   throws SandeshaException

  Throws:
    `SandeshaException`

### getCloseSequenceResponseAction

    public static java.lang.String getCloseSequenceResponseAction(java.lang.String specVersion)
                                                           throws SandeshaException

  Throws:
    `SandeshaException`

### getAckRequestAction

    public static java.lang.String getAckRequestAction(java.lang.String specVersion)
                                                throws SandeshaException

  Throws:
    `SandeshaException`

### getSequenceAcknowledgementAction

    public static java.lang.String getSequenceAcknowledgementAction(java.lang.String specVersion)
                                                             throws SandeshaException

  Throws:
    `SandeshaException`

### getMakeConnectionAction

    public static java.lang.String getMakeConnectionAction(java.lang.String specVersion)
                                                    throws SandeshaException

  Throws:
    `SandeshaException`

### getCreateSequenceSOAPAction

    public static java.lang.String getCreateSequenceSOAPAction(java.lang.String specVersion)
                                                        throws SandeshaException

  Throws:
    `SandeshaException`

### getCreateSequenceResponseSOAPAction

    public static java.lang.String getCreateSequenceResponseSOAPAction(java.lang.String specVersion)
                                                                throws SandeshaException

  Throws:
    `SandeshaException`

### getTerminateSequenceSOAPAction

    public static java.lang.String getTerminateSequenceSOAPAction(java.lang.String specVersion)
                                                           throws SandeshaException

  Throws:
    `SandeshaException`

### getTerminateSequenceResponseSOAPAction

    public static java.lang.String getTerminateSequenceResponseSOAPAction(java.lang.String specVersion)
                                                                   throws SandeshaException

  Throws:
    `SandeshaException`

### getAckRequestSOAPAction

    public static java.lang.String getAckRequestSOAPAction(java.lang.String specVersion)
                                                    throws SandeshaException

  Throws:
    `SandeshaException`

### getSequenceAcknowledgementSOAPAction

    public static java.lang.String getSequenceAcknowledgementSOAPAction(java.lang.String specVersion)
                                                                 throws SandeshaException

  Throws:
    `SandeshaException`

### isTerminateSequenceResponseRequired

    public static boolean isTerminateSequenceResponseRequired(java.lang.String specVersion)
                                                       throws SandeshaException

  Throws:
    `SandeshaException`

### isLastMessageIndicatorRequired

    public static boolean isLastMessageIndicatorRequired(java.lang.String specVersion)
                                                  throws SandeshaException

  Throws:
    `SandeshaException`

### isAckFinalAllowed

    public static boolean isAckFinalAllowed(java.lang.String specVersion)
                                     throws SandeshaException

  Throws:
    `SandeshaException`

### isAckNoneAllowed

    public static boolean isAckNoneAllowed(java.lang.String specVersion)
                                    throws SandeshaException

  Throws:
    `SandeshaException`

### isSequenceClosingAllowed

    public static boolean isSequenceClosingAllowed(java.lang.String specVersion)
                                            throws SandeshaException

  Throws:
    `SandeshaException`

### getDefaultSpecVersion

    public static java.lang.String getDefaultSpecVersion()

### getAddressingAnonymousURI

    public static java.lang.String getAddressingAnonymousURI(java.lang.String addressingNSURI)
                                                      throws SandeshaException

  Throws:
    `SandeshaException`

### getAddressingFaultAction

    public static java.lang.String getAddressingFaultAction(java.lang.String specVersion)
                                                     throws SandeshaException

  Throws:
    `SandeshaException`

### getAddressingNamespace

    public static java.lang.String getAddressingNamespace(java.lang.String rmNamespace)
                                                   throws SandeshaException

  Throws:
    `SandeshaException`

### getSecurityNamespace

    public static java.lang.String getSecurityNamespace(java.lang.String rmNamespace)

### getWSRMOperation

    public static org.apache.axis2.description.AxisOperation getWSRMOperation(int messageType,
                                                                              java.lang.String rmSpecLevel,
                                                                              org.apache.axis2.description.AxisService service)
                                                                       throws SandeshaException

  Throws:
    `SandeshaException`

### getFaultSubcode

    public static javax.xml.namespace.QName getFaultSubcode(java.lang.String namespaceValue,
                                                            int faultType)
                                                     throws SandeshaException,
                                                            java.util.MissingResourceException

  Throws:
    `SandeshaException`
    `java.util.MissingResourceException`

### sendAckInBackChannel

    public static boolean sendAckInBackChannel(int messageType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.